Subject: Re: logging disjoint sets of commits in a single command

From: "Bryan O'Sullivan" <[email-masked]>
Date: Wed, 1 Feb 2012 00:27:06 +0000

On 2012-01-31 16:15 , "Bryan O'Sullivan" <[email-masked]> wrote:

>I'm trying to use "git log" to display only a handful of commits, where
>the commits are not necessarily linearly related to each other.

And I beautifully fat-fingered the "send" key. Oops.

What I was *going* to say was that it looks like revision.c:limit_list is
(whether intentionally or not) getting in the way of this.

Here's a sample command line against a kernel tree:

git log 373af0c^..373af0c 590dfe2^..590dfe2

I want git to log those two specific commits, but in fact it looks like
limit_list is marking 590dfe2 as UNINTERESTING while processing 373af0c,
and so it gets pruned.

Is there some way around this, or would a patch to fix it be acceptable?